## swift-im 2.0~beta1+dev26

=== BuildTools/SCons/SConstruct ===
import sys, os, re, platform
import SCons.SConf

Import("env", "conf_env")

root = Dir("../..").abspath

# Override SConscript to handle tests
oldSConscript = SConscript
def SConscript(*arguments, **keywords) :
	if not keywords.get("test_only", False) or env["TEST"] :
		return apply(oldSConscript, arguments, keywords)
env.SConscript = SConscript
  
################################################################################
# Extend the default build environment (not affecting the configure env)
#
# Keeping both environments separated mostly because of SCons Issue 2391,
# although it doesn't hurt to separate them (e.g. not have pretty printed
# strings in config.log)
################################################################################

#if env["PLATFORM"] == "win32" :
#	env["MSVC_BATCH"] = 1

# Pretty output
def colorize(command, target, color) :
	colors = { "red": "31", "green": "32", "yellow": "33", "blue": "34" }
	prefix = ""
	suffix = ""
	if sys.stdout.isatty() and env["PLATFORM"] != "win32":
		prefix = "\033[0;" + colors[color] + ";140m"
		suffix = "\033[0m"
	return "  " + prefix + command + suffix + " " + target

if int(ARGUMENTS.get("V", 0)) == 0:
	env["CCCOMSTR"] = colorize("CC", "$TARGET", "green")
	env["SHCCCOMSTR"] = colorize("CC", "$TARGET", "green")
	env["CXXCOMSTR"] = colorize("CXX", "$TARGET", "green")
	env["SHCXXCOMSTR"] = colorize("CXX", "$TARGET", "green")
	env["LINKCOMSTR"] = colorize("LINK", "$TARGET", "red")
	env["SHLINKCOMSTR"] = colorize("LINK", "$TARGET", "red")
	env["ARCOMSTR"] = colorize("AR", "$TARGET", "red")
	env["RANLIBCOMSTR"] = colorize("RANLIB", "$TARGET", "red")
	env["QT4_RCCCOMSTR"] = colorize("RCC", "$TARGET", "blue")
	env["QT4_UICCOMSTR"] = colorize("UIC", "$TARGET", "blue")
	env["QT4_MOCFROMHCOMSTR"] = colorize("MOC", "$TARGET", "blue")
	env["QT4_MOCFROMCXXCOMSTR"] = colorize("MOC", "$TARGET", "blue")
	env["QT4_LRELEASECOMSTR"] = colorize("LRELEASE", "$TARGET", "blue")
	env["QT4_LUPDATECOMSTR"] = colorize("LUPDATE", "$TARGET", "blue")
	env["GENCOMSTR"] = colorize("GEN", "$TARGET", "blue")
	env["RCCOMSTR"] = colorize("RC", "$TARGET", "blue")
	env["BUNDLECOMSTR"] = colorize("BUNDLE", "$TARGET", "blue")
	env["NIBCOMSTR"] = colorize("NIB", "$TARGET", "blue")
	env["NSISCOMSTR"] = colorize("NSIS", "$TARGET", "blue")
	env["INSTALLSTR"] = colorize("INSTALL", "$TARGET", "blue")
	env["TESTCOMSTR"] = colorize("TEST", "$SOURCE", "yellow")
	env["FOCOMSTR"] = colorize("FO", "$TARGET", "blue")
	env["XSLTCOMSTR"] = colorize("XSLT", "$TARGET", "blue")
	env["XMLLINTCOMSTR"] = colorize("XMLLINT", "$SOURCE", "blue")
	env["DOXYCOMSTR"] = colorize("DOXY", "$SOURCE", "blue")
	#Progress(colorize("DEP", "$TARGET", "red")

def checkObjCHeader(context, header) :
	context.Message("Checking for Objective-C header " + header + " ... ")
	ret = context.TryCompile("#include <Cocoa/Cocoa.h>\n#include <" + header + ">", ".m")
	context.Result(ret)
	return ret

################################################################################
# Platform configuration
################################################################################

env.Append(CPPPATH = [root])

if ARGUMENTS.get("force-configure", 0) :
  SCons.SConf.SetCacheMode("force")

def CheckPKG(context, name):
	context.Message( 'Checking for package %s... ' % name )
	ret = context.TryAction('pkg-config --exists \'%s\'' % name)[0]
	context.Result( ret )
	return ret

def CheckVersion(context, library, version, define, header, value) :
	context.Message("Checking " + library + " version (>= " + version + ") ...")
	ret = context.TryRun("""
#include <%(header)s>
#include <stdio.h>

int main(int argc, char* argv[]) {
	printf("%%d\\n", %(define)s);
	return 0;
}
""" % { "header" : header, "define": define }, ".c")
	ok = ret[0] and int(ret[1]) >= value
	context.Result(ok)
	return ok

conf = Configure(conf_env)

if not conf.CheckCXX() or not conf.CheckCC() :
	print "Error: You need a working compiler"
	Exit(1)

env["HAVE_ZLIB"] = True
if conf.CheckLib("z") :
	env["ZLIB_FLAGS"] = {"LIBS": ["z"]}
else :
	env["ZLIB_BUNDLED"] = True

if conf.CheckLib("resolv") :
	env["PLATFORM_FLAGS"]["LIBS"] = env["PLATFORM_FLAGS"].get("LIBS", []) + ["resolv"]

if env["PLATFORM"] != "win32" :
	if conf.CheckLib("pthread") :
		env["PLATFORM_FLAGS"]["LIBS"] = env["PLATFORM_FLAGS"].get("LIBS", []) + ["pthread"]

if conf.CheckLib("dl") :
	env["PLATFORM_FLAGS"]["LIBS"] = env["PLATFORM_FLAGS"].get("LIBS", []) + ["dl"]

if conf.CheckLib("m") :
	env["PLATFORM_FLAGS"]["LIBS"] = env["PLATFORM_FLAGS"].get("LIBS", []) + ["m"]

if conf.CheckLib("c") :
	env["PLATFORM_FLAGS"]["LIBS"] = env["PLATFORM_FLAGS"].get("LIBS", []) + ["c"]

if conf.CheckLib("stdc++") :
	env["PLATFORM_FLAGS"]["LIBS"] = env["PLATFORM_FLAGS"].get("LIBS", []) + ["stdc++"]

conf.Finish()

# Boost
boost_conf_env = conf_env.Clone()
boost_flags = {}
boost_flags["CPPDEFINES"] = [("BOOST_FILESYSTEM_VERSION", "2")]
if env.get("boost_libdir", None) :
	boost_flags["LIBPATH"] = [env["boost_libdir"]]
if env.get("boost_includedir", None) :
	if env["PLATFORM"] == "win32" :
		boost_flags["CPPPATH"] = [env["boost_includedir"]]
	else :
		# Using isystem to avoid getting warnings from a system boost
		# Unfortunately, this also disables dependency tracking
		boost_flags["CPPFLAGS"] = [("-isystem", env["boost_includedir"])]
boost_conf_env.MergeFlags(boost_flags)
conf = Configure(boost_conf_env)
boostLibs = [("signals", None), ("thread", None), ("regex", None), ("program_options", None), ("filesystem", None), ("system", "system/system_error.hpp"), ("date_time", "date_time/date.hpp")]
allLibsPresent = True
libNames = []
for (lib, header) in boostLibs :
	if header :
		header = "boost/" + header
	else :
		header = "boost/" + lib + ".hpp"
	if not conf.CheckCXXHeader(header) :
		allLibsPresent = False
		break
	if env["PLATFORM"] != "win32" :
		libName = "boost_" + lib
		if not conf.CheckLib(libName) :
			libName += "-mt"
			if not conf.CheckLib(libName) :
				allLibsPresent = False
				break
		libNames.append(libName)
if allLibsPresent :
	env["BOOST_FLAGS"] = boost_flags
	if env["PLATFORM"] != "win32" :
		env["BOOST_FLAGS"].update({"LIBS": libNames})
	if not conf.CheckCXXHeader("boost/uuid/uuid.hpp") :
		# FIXME: Remove this workaround when UUID is available in most distros
		env["BOOST_BUNDLED_UUID_ONLY"] = True
else :
	env["BOOST_BUNDLED"] = True
conf.Finish()


# Xss
env["HAVE_XSS"] = 0
if env["PLATFORM"] != "win32" and env["PLATFORM"] != "darwin" :
	xss_flags = {
			"LIBPATH": ["/usr/X11R6/lib"],
			"LIBS": ["Xss"]
		}
	xss_env = conf_env.Clone()
	xss_env.MergeFlags(xss_flags)
	conf = Configure(xss_env)
	if conf.CheckFunc("XScreenSaverQueryExtension") :
		env["HAVE_XSS"] = 1
		env["XSS_FLAGS"] = xss_flags
	conf.Finish()

# GConf
env["HAVE_GCONF"] = 0
if env["PLATFORM"] != "win32" and env["PLATFORM"] != "darwin" :
	gconf_env = conf_env.Clone()
	conf = Configure(gconf_env, custom_tests = {"CheckPKG": CheckPKG})
	if conf.CheckPKG("gconf-2.0") :
		gconf_bare_env = Environment()
		gconf_bare_env.ParseConfig('pkg-config --cflags gconf-2.0 gobject-2.0 --libs gconf-2.0 gobject-2.0')
		gconf_flags = {
				"LIBS": gconf_bare_env["LIBS"],
				"CCFLAGS": gconf_bare_env["CCFLAGS"],
				"CPPPATH": gconf_bare_env["CPPPATH"],
				"CPPDEFINES": gconf_bare_env.get("CPPDEFINES", []),
			}
		gconf_env.MergeFlags(gconf_flags)
		if conf.CheckCHeader("gconf/gconf-client.h") and conf.CheckLib("gconf-2") :
			env["HAVE_GCONF"] = 1
			env["GCONF_FLAGS"] = {
				"LIBS": gconf_env["LIBS"],
				"CCFLAGS": gconf_env["CCFLAGS"],
				"CPPPATH": gconf_env["CPPPATH"],
				"CPPDEFINES": gconf_env.get("CPPDEFINES", []),
			}
	conf.Finish()

# Sparkle
env["HAVE_SPARKLE"] = 0
if env["PLATFORM"] == "darwin" :
	sparkle_flags = {
			"FRAMEWORKPATH": ["/Library/Frameworks"],
			"FRAMEWORKS": ["Sparkle"]
		}
	sparkle_env = conf_env.Clone()
	sparkle_env.MergeFlags(sparkle_flags)
	conf = Configure(sparkle_env, custom_tests = { "CheckObjCHeader" : checkObjCHeader })
	if conf.CheckObjCHeader("Sparkle/Sparkle.h") :
		env["HAVE_SPARKLE"] = 1
		env["SPARKLE_FLAGS"] = sparkle_flags
		env["SPARKLE_FRAMEWORK"] = "/Library/Frameworks/Sparkle.framework"
	conf.Finish()

# Growl
env["HAVE_GROWL"] = 0
if env["PLATFORM"] == "darwin" :
	growl_flags = {
			"FRAMEWORKPATH": ["/Library/Frameworks"],
			"FRAMEWORKS": ["Growl"]
		}
	growl_env = conf_env.Clone()
	growl_env.MergeFlags(growl_flags)
	conf = Configure(growl_env, custom_tests = { "CheckObjCHeader" : checkObjCHeader })
	if conf.CheckObjCHeader("Growl/Growl.h") :
		env["HAVE_GROWL"] = 1
		env["GROWL_FLAGS"] = growl_flags
		env["GROWL_FRAMEWORK"] = "/Library/Frameworks/Growl.framework"
	conf.Finish()

# Snarl
if env["PLATFORM"] == "win32" :
	env["HAVE_SNARL"] = True

# LibXML
conf = Configure(conf_env, custom_tests = {"CheckVersion": CheckVersion})
if conf.CheckCHeader("libxml/parser.h") and conf.CheckLib("xml2") :
#and conf.CheckVersion("LibXML", "2.6.23", "LIBXML_VERSION", "libxml/xmlversion.h", 20623) :
	env["HAVE_LIBXML"] = 1
	env["LIBXML_FLAGS"] = { "LIBS": ["xml2"] }
conf.Finish()

if not env.get("HAVE_LIBXML", 0) :
	libxml_env = conf_env.Clone()
	libxml_env.Append(CPPPATH = ["/usr/include/libxml2"])
	conf = Configure(libxml_env, custom_tests = {"CheckVersion": CheckVersion})
	if conf.CheckCHeader("libxml/parser.h") and conf.CheckLib("xml2") :
#	and conf.CheckVersion("LibXML", "2.6.23", "LIBXML_VERSION", "libxml/xmlversion.h", 20623):
		env["HAVE_LIBXML"] = 1
		env["LIBXML_FLAGS"] = { "CPPPATH": ["/usr/include/libxml2"], "LIBS": ["xml2"] }
	conf.Finish()

# Expat
if not env.get("HAVE_LIBXML",0) :
	expat_conf_env = conf_env.Clone()
	expat_flags = {}
	if env.get("expat_libdir", None) :
		expat_flags["LIBPATH"] = [env["expat_libdir"]]
	if env.get("expat_includedir", None) :
		expat_flags["CPPPATH"] = [env["expat_includedir"]]
	expat_conf_env.MergeFlags(expat_flags)
	conf = Configure(expat_conf_env)
	if conf.CheckCHeader("expat.h") and conf.CheckLib(env["expat_libname"]) :
		env["HAVE_EXPAT"] = 1
		env["EXPAT_FLAGS"] = { "LIBS": [env["expat_libname"]] }
		env["EXPAT_FLAGS"].update(expat_flags)
	conf.Finish()

# Bundled expat
bundledExpat = False
if not env.get("HAVE_EXPAT", 0) and not env.get("HAVE_LIBXML", 0) :
	print "Expat or LibXML not found. Using bundled Expat"
	SConscript("#/3rdParty/Expat/SConscript")
	env["HAVE_EXPAT"] = 1
	env["EXPAT_BUNDLED"] = True

# LibIDN
libidn_conf_env = conf_env.Clone()
libidn_flags = {}
if env.get("libidn_libdir", None) :
	libidn_flags["LIBPATH"] = [env["libidn_libdir"]]
if env.get("libidn_includedir", None) :
	libidn_flags["CPPPATH"] = [env["libidn_includedir"]]
libidn_conf_env.MergeFlags(libidn_flags)
conf = Configure(libidn_conf_env)
if conf.CheckCHeader("idna.h") and conf.CheckLib(env["libidn_libname"]) :
	env["HAVE_LIBIDN"] = 1
	env["LIBIDN_FLAGS"] = { "LIBS": [env["libidn_libname"]] }
	env["LIBIDN_FLAGS"].update(libidn_flags)
else :
	env["LIBIDN_BUNDLED"] = 1
conf.Finish()

# LibMiniUPnPc
if env["experimental"] :
	#libminiupnpc_conf_env = conf_env.Clone()
	#conf = Configure(libminiupnpc_conf_env)
	#if conf.CheckCHeader("miniupnpc.h") and conf.CheckLib(env["libminiupnpc_libname"]) :
	#	print "NOT IMPLEMENTED YET"
	#else :
	env["LIBMINIUPNPC_BUNDLED"] = 1
	#conf.Finish()
else :
	env["LIBMINIUPNPC_FLAGS"] = {}

# LibNATPMP
if env["experimental"] :
	#libnatpmp_conf_env = conf_env.Clone()
	#conf = Configure(libnatpmp_conf_env)
	#if conf.CheckCHeader("natpmp.h") and conf.CheckLib(env["libnatpmp_libname"]) :
	#	print "NOT IMPLEMENTED YET"
	#else :
	env["LIBNATPMP_BUNDLED"] = 1
	#conf.Finish()
else :
	env["LIBNATPMP_FLAGS"] = {}

# SQLite
#sqlite_conf_env = conf_env.Clone()
#sqlite_flags = {}
#if env.get("sqlite_libdir", None) :
#	sqlite_flags["LIBPATH"] = [env["sqlite_libdir"]]
#if env.get("sqlite_includedir", None) :
#	sqlite_flags["CPPPATH"] = [env["sqlite_includedir"]]
#sqlite_conf_env.MergeFlags(sqlite_flags)
#conf = Configure(sqlite_conf_env)
#if conf.CheckCHeader("sqlite3.h") and conf.CheckLib(env["sqlite_libname"]) :

=== debian/changelog ===
swift-im (2.0~beta1+dev26-1) unstable; urgency=low

  * Initial release. Closes: #631002
  * Thanks to Olly Betts <olly@survex.com>

 -- Kevin Smith <kevin@kismith.co.uk>  Wed, 25 Apr 2012 09:55:52 -0000

=== debian/control ===
Source: swift-im
Section: net
Priority: optional
Maintainer: Swift Package Maintainers <packages@swift.im>
Uploaders: Remko Tronçon <dev@el-tramo.be>, Kevin Smith <kevin@kismith.co.uk>, Olly Betts <olly@survex.com>
Build-Depends: debhelper (>= 7), scons (>= 1.2.0), libssl-dev (>= 0.9.8g), libqt4-dev (>= 4.5.0), libxml2-dev (>= 2.7.6), libxss-dev (>= 1.2.0), libboost-dev (>= 1.34.1), libboost-filesystem-dev (>= 1.34.1), libboost-program-options-dev (>= 1.34.1), libboost-regex-dev (>= 1.34.1), libboost-signals-dev (>= 1.34.1), libboost-system-dev (>= 1.34.1), libboost-thread-dev (>= 1.34.1), libboost-date-time-dev (>= 1.34.1), libidn11-dev (>= 1.10), docbook-xsl (>= 1.75.0), docbook-xml (>= 4.5), xsltproc, libxml2-utils , libqtwebkit-dev (>= 2.0.0)
Standards-Version: 3.9.3
Vcs-Git: git://swift.im/swift
Vcs-Browser: http://swift.im/git/swift
Homepage: http://swift.im

Package: libswiften2
Architecture: any
Section: net
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: XMPP library
 Swiften is a robust, high-quality, standards-compliant, cross-platform,
 and performant C++ library for implementing XMPP applications. Swiften
 is used as the back-end library for the Swift Instant Messaging client.

Package: libswiften-dev
Architecture: any
Section: libdevel
Priority: optional
Depends: libswiften2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: XMPP library (development files)
 Swiften is a robust, high-quality, standards-compliant, cross-platform,
 and performant C++ library for implementing XMPP applications. Swiften
 is used as the back-end library for the Swift Instant Messaging client.
 .
 This package contains the header development files and programs for 
 developing with Swiften.

Package: swift-im
Architecture: any
Section: net
Priority: optional
Depends: libswiften2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: easy to use Jabber/XMPP chat client
 Swift is a free instant messaging client. It concentrates on making
 the most-used features easily accessible, supporting
 internationalisation, private and group chats, together with features
 for security-conscious organisations including Security Labelling.
 .
 Swift uses the XMPP protocol and so supports both the public Jabber
 network and closed XMPP services, such as those found in many
 organisations.

Package: swift-im-dbg
Architecture: any
Section: debug
Priority: extra
Depends: swift-im (= ${binary:Version}), ${misc:Depends}
Description: XMPP client/library (debugging symbols)
 This package contains the debugging symbols for debugging Swift
 and Swiften applications.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYTHONDONTWRITEBYTECODE=1

SCONS_FLAGS=V=1 optimize=1 debug=1 allow_warnings=1 swiften_dll=1 qt=/usr/share/qt4 docbook_xsl=/usr/share/xml/docbook/stylesheet/docbook-xsl docbook_xml=/usr/share/xml/docbook/schema/dtd/4.5 

clean: 
	dh_testdir
	dh_clean
	scons $(SCONS_FLAGS) $(SCONS_EXTRA_FLAGS) SWIFT_INSTALLDIR=$(CURDIR)/debian/tmp/usr SWIFTEN_INSTALLDIR=$(CURDIR)/debian/tmp/usr -c
	-rm -rf .scon*
	-rm -rf config.log

configure:

build: configure
	dh_testdir
	scons $(SCONS_FLAGS) $(SCONS_EXTRA_FLAGS) Swift Swiften

install: build
	dh_testroot
	dh_prep  
	dh_installdirs
	scons $(SCONS_FLAGS) $(SCONS_EXTRA_FLAGS) SWIFT_INSTALLDIR=$(CURDIR)/debian/tmp/usr SWIFTEN_INSTALLDIR=$(CURDIR)/debian/tmp/usr $(CURDIR)/debian/tmp

binary-indep: install
binary-arch: install
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/tmp
	dh_installchangelogs 
	dh_installdocs
	dh_installmenu
	dh_installman -a
	dh_link
	dh_strip --dbg-package=swift-im-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

build-arch: build
build-indep: build
.PHONY: build clean binary-indep binary-arch binary install configure build-arch build-indep

## swift-im 2.0~beta1+dev47

=== BuildTools/SCons/SConstruct ===
--- 
+++ 
@@ -294,6 +294,27 @@
 	env["HAVE_EXPAT"] = 1
 	env["EXPAT_BUNDLED"] = True
 
+################################################################################
+# IDN library
+################################################################################
+
+# ICU
+icu_env = conf_env.Clone()
+use_icu = bool(env["icu"])
+icu_prefix = env["icu"] if isinstance(env["icu"], str) else ""
+icu_flags = {}
+if icu_prefix :
+	icu_flags = { "CPPPATH": [os.path.join(icu_prefix, "include")] }
+	icu_flags["LIBPATH"] = [os.path.join(icu_prefix, "lib")]
+	icu_env.MergeFlags(icu_flags)
+
+icu_conf = Configure(icu_env)
+if use_icu and icu_conf.CheckCHeader("unicode/usprep.h") :
+	env["HAVE_ICU"] = 1
+	env["ICU_FLAGS"] = icu_flags
+	env["ICU_FLAGS"]["LIBS"] = ["icuuc"]
+icu_conf.Finish()
+
 # LibIDN
 libidn_conf_env = conf_env.Clone()
 libidn_flags = {}
@@ -303,13 +324,16 @@
 	libidn_flags["CPPPATH"] = [env["libidn_includedir"]]
 libidn_conf_env.MergeFlags(libidn_flags)
 conf = Configure(libidn_conf_env)
-if conf.CheckCHeader("idna.h") and conf.CheckLib(env["libidn_libname"]) :
+if not env.get("HAVE_ICU") and conf.CheckCHeader("idna.h") and conf.CheckLib(env["libidn_libname"]) :
 	env["HAVE_LIBIDN"] = 1
 	env["LIBIDN_FLAGS"] = { "LIBS": [env["libidn_libname"]] }
 	env["LIBIDN_FLAGS"].update(libidn_flags)
-else :
+conf.Finish()
+
+# Fallback to bundled LibIDN
+if not env.get("HAVE_ICU", False) and not env.get("HAVE_LIBIDN", False) :
+	env["HAVE_LIBIDN"] = 1
 	env["LIBIDN_BUNDLED"] = 1
-conf.Finish()
 
 # LibMiniUPnPc
 if env["experimental"] :
@@ -318,30 +342,3 @@
 	#if conf.CheckCHeader("miniupnpc.h") and conf.CheckLib(env["libminiupnpc_libname"]) :
 	#	print "NOT IMPLEMENTED YET"
 	#else :
-	env["LIBMINIUPNPC_BUNDLED"] = 1
-	#conf.Finish()
-else :
-	env["LIBMINIUPNPC_FLAGS"] = {}
-
-# LibNATPMP
-if env["experimental"] :
-	#libnatpmp_conf_env = conf_env.Clone()
-	#conf = Configure(libnatpmp_conf_env)
-	#if conf.CheckCHeader("natpmp.h") and conf.CheckLib(env["libnatpmp_libname"]) :
-	#	print "NOT IMPLEMENTED YET"
-	#else :
-	env["LIBNATPMP_BUNDLED"] = 1
-	#conf.Finish()
-else :
-	env["LIBNATPMP_FLAGS"] = {}
-
-# SQLite
-#sqlite_conf_env = conf_env.Clone()
-#sqlite_flags = {}
-#if env.get("sqlite_libdir", None) :
-#	sqlite_flags["LIBPATH"] = [env["sqlite_libdir"]]
-#if env.get("sqlite_includedir", None) :
-#	sqlite_flags["CPPPATH"] = [env["sqlite_includedir"]]
-#sqlite_conf_env.MergeFlags(sqlite_flags)
-#conf = Configure(sqlite_conf_env)
-#if conf.CheckCHeader("sqlite3.h") and conf.CheckLib(env["sqlite_libname"]) :

=== debian/changelog ===
swift-im (2.0~beta1+dev47-1) unstable; urgency=low

  * Update from upstream.
  * Rename /usr/bin/swift binary to not conflict with other package. Closes: #674504

 -- Kevin Smith <kevin@kismith.co.uk>  Tue, 12 Jun 2012 19:25:12 -0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Swift Package Maintainers <packages@swift.im>
-Uploaders: Remko Tronçon <dev@el-tramo.be>, Kevin Smith <kevin@kismith.co.uk>, Olly Betts <olly@survex.com>
+Uploaders: Remko Tronçon <dev@el-tramo.be>, Kevin Smith <kevin@kismith.co.uk>
 Build-Depends: debhelper (>= 7), scons (>= 1.2.0), libssl-dev (>= 0.9.8g), libqt4-dev (>= 4.5.0), libxml2-dev (>= 2.7.6), libxss-dev (>= 1.2.0), libboost-dev (>= 1.34.1), libboost-filesystem-dev (>= 1.34.1), libboost-program-options-dev (>= 1.34.1), libboost-regex-dev (>= 1.34.1), libboost-signals-dev (>= 1.34.1), libboost-system-dev (>= 1.34.1), libboost-thread-dev (>= 1.34.1), libboost-date-time-dev (>= 1.34.1), libidn11-dev (>= 1.10), docbook-xsl (>= 1.75.0), docbook-xml (>= 4.5), xsltproc, libxml2-utils , libqtwebkit-dev (>= 2.0.0)
 Standards-Version: 3.9.3
 Vcs-Git: git://swift.im/swift

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #export DH_VERBOSE=1
 export PYTHONDONTWRITEBYTECODE=1
 
-SCONS_FLAGS=V=1 optimize=1 debug=1 allow_warnings=1 swiften_dll=1 qt=/usr/share/qt4 docbook_xsl=/usr/share/xml/docbook/stylesheet/docbook-xsl docbook_xml=/usr/share/xml/docbook/schema/dtd/4.5 
+SCONS_FLAGS=V=1 optimize=1 debug=1 allow_warnings=1 swiften_dll=1 qt=/usr/share/qt4 docbook_xsl=/usr/share/xml/docbook/stylesheet/docbook-xsl docbook_xml=/usr/share/xml/docbook/schema/dtd/4.5 linkflags="$(shell dpkg-buildflags --get LDFLAGS)" ccflags="$(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get CFLAGS)"
 
 clean: 
 	dh_testdir

## swift-im 2.0+dev6

=== SConstruct ===
variant_dir = SConscript("BuildTools/SCons/SConscript.boot")
if variant_dir :
	SConscript("BuildTools/SCons/SConstruct", variant_dir = variant_dir, src_dir = ".")
else :
	SConscript("BuildTools/SCons/SConstruct")

=== BuildTools/SCons/SConstruct ===
--- 
+++ 
@@ -71,8 +71,6 @@
 # Platform configuration
 ################################################################################
 
-env.Append(CPPPATH = [root])
-
 if ARGUMENTS.get("force-configure", 0) :
   SCons.SConf.SetCacheMode("force")
 
@@ -133,7 +131,6 @@
 # Boost
 boost_conf_env = conf_env.Clone()
 boost_flags = {}
-boost_flags["CPPDEFINES"] = [("BOOST_FILESYSTEM_VERSION", "2")]
 if env.get("boost_libdir", None) :
 	boost_flags["LIBPATH"] = [env["boost_libdir"]]
 if env.get("boost_includedir", None) :
@@ -342,3 +339,8 @@
 	#if conf.CheckCHeader("miniupnpc.h") and conf.CheckLib(env["libminiupnpc_libname"]) :
 	#	print "NOT IMPLEMENTED YET"
 	#else :
+	env["LIBMINIUPNPC_BUNDLED"] = 1
+	#conf.Finish()
+else :
+	env["LIBMINIUPNPC_FLAGS"] = {}
+

=== debian/changelog ===
swift-im (2.0+dev6-1) unstable; urgency=low

  * Update from upstream.
  * Don't conflict with libswiften2 overrides. Closes: 726289
  * Don't conflict with swift-im-dbg overrides. Closes: 726290
  * Don't conflict with libswiften-dev overrides. Closes: 726291


 -- Kevin Smith <kevin@kismith.co.uk>  Mon, 14 Oct 2013 16:42:12 -0000

swift-im (2.0+dev5-1) unstable; urgency=low

  * Update from upstream.
  * Compiles with boost >= 1.50.0; will build on sid again. Closes: #713725
  * Include dependencies for libswiften so that other packages 
    can depend on it. Closes: #714902

 -- Kevin Smith <kevin@kismith.co.uk>  Mon, 12 Aug 2013 16:18:09 -0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: swift-im
 Section: net
 Priority: optional
-Maintainer: Swift Package Maintainers <packages@swift.im>
+Maintainer: Swift Package Maintainer <packages@swift.im>
 Uploaders: Remko Tronçon <dev@el-tramo.be>, Kevin Smith <kevin@kismith.co.uk>
 Build-Depends: debhelper (>= 7), scons (>= 1.2.0), libssl-dev (>= 0.9.8g), libqt4-dev (>= 4.5.0), libxml2-dev (>= 2.7.6), libxss-dev (>= 1.2.0), libboost-dev (>= 1.34.1), libboost-filesystem-dev (>= 1.34.1), libboost-program-options-dev (>= 1.34.1), libboost-regex-dev (>= 1.34.1), libboost-signals-dev (>= 1.34.1), libboost-system-dev (>= 1.34.1), libboost-thread-dev (>= 1.34.1), libboost-date-time-dev (>= 1.34.1), libidn11-dev (>= 1.10), docbook-xsl (>= 1.75.0), docbook-xml (>= 4.5), xsltproc, libxml2-utils , libqtwebkit-dev (>= 2.0.0)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://swift.im/swift
 Vcs-Browser: http://swift.im/git/swift
 Homepage: http://swift.im
 
 Package: libswiften2
 Architecture: any
-Section: net
+Section: libs
 Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: XMPP library
@@ -23,7 +23,7 @@
 Architecture: any
 Section: libdevel
 Priority: optional
-Depends: libswiften2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libswiften2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libboost-dev (>= 1.34.1), libboost-filesystem-dev (>= 1.34.1), libboost-regex-dev (>= 1.34.1), libboost-signals-dev (>= 1.34.1), libboost-thread-dev (>= 1.34.1), libboost-date-time-dev (>= 1.34.1)
 Description: XMPP library (development files)
  Swiften is a robust, high-quality, standards-compliant, cross-platform,
  and performant C++ library for implementing XMPP applications. Swiften

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,8 @@
 	dh_prep  
 	dh_installdirs
 	scons $(SCONS_FLAGS) $(SCONS_EXTRA_FLAGS) SWIFT_INSTALLDIR=$(CURDIR)/debian/tmp/usr SWIFTEN_INSTALLDIR=$(CURDIR)/debian/tmp/usr $(CURDIR)/debian/tmp
+	mkdir -p $(CURDIR)/debian/tmp/usr/share/lintian/overrides
+	cp debian/binary-overrides/* $(CURDIR)/debian/tmp/usr/share/lintian/overrides/
 
 binary-indep: install
 binary-arch: install

## swift-im 3.0.4

=== BuildTools/SCons/SConstruct ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	if not keywords.get("test_only", False) or env["TEST"] :
 		return apply(oldSConscript, arguments, keywords)
 env.SConscript = SConscript
-  
+
 ################################################################################
 # Extend the default build environment (not affecting the configure env)
 #
@@ -33,7 +33,7 @@
 		suffix = "\033[0m"
 	return "  " + prefix + command + suffix + " " + target
 
-if int(ARGUMENTS.get("V", 0)) == 0:
+if int(ARGUMENTS.get("V", 0)) == 0 and not ARGUMENTS.get("dump_trace", False) :
 	env["CCCOMSTR"] = colorize("CC", "$TARGET", "green")
 	env["SHCCCOMSTR"] = colorize("CC", "$TARGET", "green")
 	env["CXXCOMSTR"] = colorize("CXX", "$TARGET", "green")
@@ -42,6 +42,7 @@
 	env["SHLINKCOMSTR"] = colorize("LINK", "$TARGET", "red")
 	env["ARCOMSTR"] = colorize("AR", "$TARGET", "red")
 	env["RANLIBCOMSTR"] = colorize("RANLIB", "$TARGET", "red")
+	env["PCHCOMSTR"] = colorize("PCH", "$TARGET", "blue")
 	env["QT4_RCCCOMSTR"] = colorize("RCC", "$TARGET", "blue")
 	env["QT4_UICCOMSTR"] = colorize("UIC", "$TARGET", "blue")
 	env["QT4_MOCFROMHCOMSTR"] = colorize("MOC", "$TARGET", "blue")
@@ -72,7 +73,7 @@
 ################################################################################
 
 if ARGUMENTS.get("force-configure", 0) :
-  SCons.SConf.SetCacheMode("force")
+	SCons.SConf.SetCacheMode("force")
 
 def CheckPKG(context, name):
 	context.Message( 'Checking for package %s... ' % name )
@@ -82,6 +83,12 @@
 
 def CheckVersion(context, library, version, define, header, value) :
 	context.Message("Checking " + library + " version (>= " + version + ") ...")
+	version = GetVersion(context, define, header)
+	ok = version >= value
+	context.Result(ok)
+	return ok
+
+def GetVersion(context, define, header, extension = ".c") :
 	ret = context.TryRun("""
 #include <%(header)s>
 #include <stdio.h>
@@ -90,10 +97,12 @@
 	printf("%%d\\n", %(define)s);
 	return 0;
 }
-""" % { "header" : header, "define": define }, ".c")
-	ok = ret[0] and int(ret[1]) >= value
-	context.Result(ok)
-	return ok
+""" % { "header" : header, "define": define }, extension)
+	if ret[0] :
+		return int(ret[1])
+	else :
+		return -1
+
 
 conf = Configure(conf_env)
 
@@ -102,8 +111,27 @@
 	Exit(1)
 
 env["HAVE_ZLIB"] = True
-if conf.CheckLib("z") :
-	env["ZLIB_FLAGS"] = {"LIBS": ["z"]}
+zlib_flags = {}
+zlib_okay = False
+if env.get("zlib_libdir", None) :
+	zlib_flags["LIBPATH"] = [env["zlib_libdir"]]
+	zlib_okay = True
+if env.get("zlib_includedir", None) :
+	zlib_flags["CPPPATH"] = [env["zlib_includedir"]]
+	zlib_okay = True
+if env.get("zlib_libfile", None) :
+	zlib_flags["LIBS"] = [File(env["zlib_libfile"])]
+	zlib_okay = True
+elif zlib_okay :
+	zlib_flags["LIBS"] = ["z"]
+if (not zlib_okay) and conf.CheckLib("z") :
+	zlib_flags["LIBS"] = ["z"]
+	zlib_okay = True
+if zlib_okay :
+	env["ZLIB_FLAGS"] = zlib_flags
+elif not env.get("zlib_bundled_enable", True) :
+	print "Error: Zlib not found and zlib_bundled_enable is false"
+	Exit(1)
 else :
 	env["ZLIB_BUNDLED"] = True
 
@@ -123,9 +151,10 @@
 if conf.CheckLib("c") :
 	env["PLATFORM_FLAGS"]["LIBS"] = env["PLATFORM_FLAGS"].get("LIBS", []) + ["c"]
 
-if conf.CheckLib("stdc++") :
-	env["PLATFORM_FLAGS"]["LIBS"] = env["PLATFORM_FLAGS"].get("LIBS", []) + ["stdc++"]
-
+# Even if you find stdc++ on HP-UX, it is the wrong one for aCC
+if env["PLATFORM"] != "hpux" :
+	if conf.CheckLib("stdc++", language='CXX') :
+		env["PLATFORM_FLAGS"]["LIBS"] = env["PLATFORM_FLAGS"].get("LIBS", []) + ["stdc++"]
 conf.Finish()
 
 # Boost
@@ -134,7 +163,7 @@
 if env.get("boost_libdir", None) :
 	boost_flags["LIBPATH"] = [env["boost_libdir"]]
 if env.get("boost_includedir", None) :
-	if env["PLATFORM"] == "win32" :
+	if env["PLATFORM"] == "win32" or env["PLATFORM"] == "hpux" or env["PLATFORM"] == "sunos" :
 		boost_flags["CPPPATH"] = [env["boost_includedir"]]
 	else :
 		# Using isystem to avoid getting warnings from a system boost
@@ -142,7 +171,7 @@
 		boost_flags["CPPFLAGS"] = [("-isystem", env["boost_includedir"])]
 boost_conf_env.MergeFlags(boost_flags)
 conf = Configure(boost_conf_env)
-boostLibs = [("signals", None), ("thread", None), ("regex", None), ("program_options", None), ("filesystem", None), ("system", "system/system_error.hpp"), ("date_time", "date_time/date.hpp")]
+boostLibs = [("signals", None), ("system", "system/system_error.hpp"), ("thread", None), ("regex", None), ("program_options", None), ("filesystem", None), ("serialization", "archive/text_oarchive.hpp"), ("date_time", "date_time/date.hpp")]
 allLibsPresent = True
 libNames = []
 for (lib, header) in boostLibs :
@@ -155,19 +184,24 @@
 		break
 	if env["PLATFORM"] != "win32" :
 		libName = "boost_" + lib
-		if not conf.CheckLib(libName) :
+		if not conf.CheckLib(libName, language='CXX') :
 			libName += "-mt"
-			if not conf.CheckLib(libName) :
+			if not conf.CheckLib(libName, language='CXX') :
 				allLibsPresent = False
 				break
 		libNames.append(libName)
 if allLibsPresent :
+	boost_flags["CPPDEFINES"] = ["BOOST_SIGNALS_NO_DEPRECATION_WARNING"]
 	env["BOOST_FLAGS"] = boost_flags
 	if env["PLATFORM"] != "win32" :
 		env["BOOST_FLAGS"].update({"LIBS": libNames})
 	if not conf.CheckCXXHeader("boost/uuid/uuid.hpp") :
 		# FIXME: Remove this workaround when UUID is available in most distros
 		env["BOOST_BUNDLED_UUID_ONLY"] = True
+		env["BOOST_FLAGS"]["CPPDEFINES"] = ["BOOST_SIGNALS_NO_DEPRECATION_WARNING"]
+elif not env.get("boost_bundled_enable", True) :
+	print "Error: Boost not found and boost_bundled_enable is false"
+	Exit(1)
 else :
 	env["BOOST_BUNDLED"] = True
 conf.Finish()
@@ -190,7 +224,7 @@
 
 # GConf
 env["HAVE_GCONF"] = 0
-if env["PLATFORM"] != "win32" and env["PLATFORM"] != "darwin" :
+if env.get("try_gconf", True) and env["PLATFORM"] != "win32" and env["PLATFORM"] != "darwin" :
 	gconf_env = conf_env.Clone()
 	conf = Configure(gconf_env, custom_tests = {"CheckPKG": CheckPKG})
 	if conf.CheckPKG("gconf-2.0") :
@@ -251,24 +285,28 @@
 
 # LibXML
 conf = Configure(conf_env, custom_tests = {"CheckVersion": CheckVersion})
-if conf.CheckCHeader("libxml/parser.h") and conf.CheckLib("xml2") :
+if env.get("try_libxml", True) and conf.CheckCHeader("libxml/parser.h") and conf.CheckLib("xml2") :
 #and conf.CheckVersion("LibXML", "2.6.23", "LIBXML_VERSION", "libxml/xmlversion.h", 20623) :
 	env["HAVE_LIBXML"] = 1
 	env["LIBXML_FLAGS"] = { "LIBS": ["xml2"] }
 conf.Finish()
 
-if not env.get("HAVE_LIBXML", 0) :
+if env.get("try_libxml", True) and not env.get("HAVE_LIBXML", 0) :
 	libxml_env = conf_env.Clone()
 	libxml_env.Append(CPPPATH = ["/usr/include/libxml2"])
 	conf = Configure(libxml_env, custom_tests = {"CheckVersion": CheckVersion})
 	if conf.CheckCHeader("libxml/parser.h") and conf.CheckLib("xml2") :
 #	and conf.CheckVersion("LibXML", "2.6.23", "LIBXML_VERSION", "libxml/xmlversion.h", 20623):
 		env["HAVE_LIBXML"] = 1
-		env["LIBXML_FLAGS"] = { "CPPPATH": ["/usr/include/libxml2"], "LIBS": ["xml2"] }
+		libxml_env.Append()
+		if os.path.basename(env["CC"]) in ("clang", "gcc"):
+			env["LIBXML_FLAGS"] = { "CXXFLAGS": ["-isystem/usr/include/libxml2"], "LIBS": ["xml2"] }
+		else:
+			env["LIBXML_FLAGS"] = { "CPPPATH": ["/usr/include/libxml2"], "LIBS": ["xml2"] }
 	conf.Finish()
 
 # Expat
-if not env.get("HAVE_LIBXML",0) :
+if env.get("try_expat", True) and not env.get("HAVE_LIBXML",0) :
 	expat_conf_env = conf_env.Clone()
 	expat_flags = {}
 	if env.get("expat_libdir", None) :
@@ -292,55 +330,3 @@
 	env["EXPAT_BUNDLED"] = True
 
 ################################################################################
-# IDN library
-################################################################################
-
-# ICU
-icu_env = conf_env.Clone()
-use_icu = bool(env["icu"])
-icu_prefix = env["icu"] if isinstance(env["icu"], str) else ""
-icu_flags = {}
-if icu_prefix :
-	icu_flags = { "CPPPATH": [os.path.join(icu_prefix, "include")] }
-	icu_flags["LIBPATH"] = [os.path.join(icu_prefix, "lib")]
-	icu_env.MergeFlags(icu_flags)
-
-icu_conf = Configure(icu_env)
-if use_icu and icu_conf.CheckCHeader("unicode/usprep.h") :
-	env["HAVE_ICU"] = 1
-	env["ICU_FLAGS"] = icu_flags
-	env["ICU_FLAGS"]["LIBS"] = ["icuuc"]
-icu_conf.Finish()
-
-# LibIDN
-libidn_conf_env = conf_env.Clone()
-libidn_flags = {}
-if env.get("libidn_libdir", None) :
-	libidn_flags["LIBPATH"] = [env["libidn_libdir"]]
-if env.get("libidn_includedir", None) :
-	libidn_flags["CPPPATH"] = [env["libidn_includedir"]]
-libidn_conf_env.MergeFlags(libidn_flags)
-conf = Configure(libidn_conf_env)
-if not env.get("HAVE_ICU") and conf.CheckCHeader("idna.h") and conf.CheckLib(env["libidn_libname"]) :
-	env["HAVE_LIBIDN"] = 1
-	env["LIBIDN_FLAGS"] = { "LIBS": [env["libidn_libname"]] }
-	env["LIBIDN_FLAGS"].update(libidn_flags)
-conf.Finish()
-
-# Fallback to bundled LibIDN
-if not env.get("HAVE_ICU", False) and not env.get("HAVE_LIBIDN", False) :
-	env["HAVE_LIBIDN"] = 1
-	env["LIBIDN_BUNDLED"] = 1
-
-# LibMiniUPnPc
-if env["experimental"] :
-	#libminiupnpc_conf_env = conf_env.Clone()
-	#conf = Configure(libminiupnpc_conf_env)
-	#if conf.CheckCHeader("miniupnpc.h") and conf.CheckLib(env["libminiupnpc_libname"]) :
-	#	print "NOT IMPLEMENTED YET"
-	#else :
-	env["LIBMINIUPNPC_BUNDLED"] = 1
-	#conf.Finish()
-else :
-	env["LIBMINIUPNPC_FLAGS"] = {}
-

=== debian/changelog ===
swift-im (3.0.4-1build2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:54:21 +0000

swift-im (3.0.4-1build1) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:24:47 +0000

swift-im (3.0.4-1) unstable; urgency=low

  * New upstream release
  * Allow compiling with newer boosts. Closes: 810839, 822131
  * Switch to Qt5 instead of Qt4. Closes: 784532, 745807
  * Fix some platform detection in build system. Closes: 757554
  * Rewrite rules file with dh sequencer.
  * Drop -dbg package.

 -- Kevin Smith <kevin@kismith.co.uk>  Fri, 03 Jun 2016 15:56:20 +0100

=== debian/control ===
Source: swift-im
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Swift Package Maintainer <packages@swift.im>
Uploaders: Remko Tronçon <dev@el-tramo.be>, Kevin Smith <kevin@kismith.co.uk>
Build-Depends: debhelper (>= 9), scons (>= 1.2.0), libssl-dev (>= 0.9.8g), qtbase5-dev (>= 5.0.0), qtchooser, qtbase5-dev-tools (>= 5.0.0), libqt5x11extras5-dev (>= 5.0.0), libqt5webkit5-dev (>= 5.0.0), qtmultimedia5-dev (>=5.0.0), qttools5-dev-tools (>=5.0.0), libxml2-dev (>= 2.7.6), libxss-dev (>= 1.2.0), libboost-dev (>= 1.34.1), libboost-filesystem-dev (>= 1.34.1), libboost-program-options-dev (>= 1.34.1), libboost-regex-dev (>= 1.34.1), libboost-signals-dev (>= 1.34.1), libboost-system-dev (>= 1.34.1), libboost-thread-dev (>= 1.34.1), libboost-date-time-dev (>= 1.34.1), libidn11-dev (>= 1.10), docbook-xsl (>= 1.75.0), docbook-xml (>= 4.5), xsltproc, libxml2-utils, libnatpmp-dev, libminiupnpc-dev, libsqlite3-dev
Standards-Version: 3.9.8
Vcs-Git: git://swift.im/swift
Vcs-Browser: http://swift.im/git/swift
Homepage: http://swift.im

Package: libswiften3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: XMPP library
 Swiften is a robust, high-quality, standards-compliant, cross-platform,
 and performant C++ library for implementing XMPP applications. Swiften
 is used as the back-end library for the Swift Instant Messaging client.

Package: libswiften-dev
Architecture: any
Section: libdevel
Depends: libswiften3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libboost-dev (>= 1.34.1), libboost-filesystem-dev (>= 1.34.1), libboost-regex-dev (>= 1.34.1), libboost-signals-dev (>= 1.34.1), libboost-thread-dev (>= 1.34.1), libboost-date-time-dev (>= 1.34.1)
Description: XMPP library (development files)
 Swiften is a robust, high-quality, standards-compliant, cross-platform,
 and performant C++ library for implementing XMPP applications. Swiften
 is used as the back-end library for the Swift Instant Messaging client.
 .
 This package contains the header development files and programs for
 developing with Swiften.

Package: swift-im
Architecture: any
Depends: libswiften3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: easy to use Jabber/XMPP chat client
 Swift is a free instant messaging client. It concentrates on making
 the most-used features easily accessible, supporting
 internationalisation, private and group chats, together with features
 for security-conscious organisations including Security Labelling.
 .
 Swift uses the XMPP protocol and so supports both the public Jabber
 network and closed XMPP services, such as those found in many
 organisations.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYTHONDONTWRITEBYTECODE=1
export QT_SELECT=qt5

SCONS_FLAGS=V=1 qt5=1 optimize=1 debug=1 allow_warnings=1 swiften_dll=1 docbook_xsl=/usr/share/xml/docbook/stylesheet/docbook-xsl docbook_xml=/usr/share/xml/docbook/schema/dtd/4.5 linkflags="$(shell dpkg-buildflags --get LDFLAGS)" ccflags="$(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get CFLAGS)"
SCONS_INSTALL_BASE=$(CURDIR)/debian/tmp
SCONS_INSTALL_FLAGS=SWIFT_INSTALLDIR=$(SCONS_INSTALL_BASE)/usr SWIFTEN_INSTALLDIR=$(SCONS_INSTALL_BASE)/usr
SWIFT_INSTALLDIR=$(SCONS_INSTALL_BASE)/usr SWIFTEN_INSTALLDIR=$(SCONS_INSTALL_BASE)/usr

%:
	dh $@

override_dh_clean:
	dh_clean
	scons $(SCONS_FLAGS) $(SCONS_EXTRA_FLAGS) $(SCONS_INSTALL_FLAGS) -c
	-rm -rf .scon*
	-rm -rf config.log

override_dh_configure:

override_dh_auto_build:
	scons $(SCONS_FLAGS) $(SCONS_EXTRA_FLAGS) Swift Swiften

override_dh_auto_install:
	scons $(SCONS_FLAGS) $(SCONS_EXTRA_FLAGS) $(SCONS_INSTALL_FLAGS) $(SCONS_INSTALL_BASE)
